package com.uas.platform.core.data.support;

import org.springframework.util.StringUtils;

import com.uas.platform.core.persistence.StatusColumn;

/**
 * 记录需要的参数
 * 
 * @author yingp
 * 
 */
public class LoggerParams {

	/**
	 * 表名
	 */
	private String tableName;
	/**
	 * id字段
	 */
	private String idColumn;
	/**
	 * id字段(数据库)
	 */
	private String idColumnName;
	/**
	 * 企业uu字段名
	 */
	private String enUUColumn;
	/**
	 * 企业uu字段名(数据库)
	 */
	private String enUUColumnName;
	/**
	 * 个人uu字段名
	 */
	private String userUUColumn;
	/**
	 * 个人uu字段名(数据库)
	 */
	private String userUUColumnName;
	
	/**
	 * 状态字段名
	 */
	private String statusColumn;
	
	/**
	 * 状态字段名(数据库)
	 */
	private String statusColumnName;
	
	private StatusColumn statusAnnotation;

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getIdColumn() {
		return idColumn;
	}

	public String getIdMethod() {
		return "get" + StringUtils.capitalize(idColumn);
	}

	public void setIdColumn(String idColumn) {
		this.idColumn = idColumn;
	}

	public String getEnUUColumn() {
		return enUUColumn;
	}

	public String getEnUUMethod() {
		return "get" + StringUtils.capitalize(enUUColumn);
	}

	public void setEnUUColumn(String enUUColumn) {
		this.enUUColumn = enUUColumn;
	}

	public String getUserUUColumn() {
		return userUUColumn;
	}

	public String getUserUUMethod() {
		return "get" + StringUtils.capitalize(userUUColumn);
	}

	public void setUserUUColumn(String userUUColumn) {
		this.userUUColumn = userUUColumn;
	}

	public String getIdColumnName() {
		return idColumnName;
	}

	public void setIdColumnName(String idColumnName) {
		this.idColumnName = idColumnName;
	}

	public String getEnUUColumnName() {
		return enUUColumnName;
	}

	public void setEnUUColumnName(String enUUColumnName) {
		this.enUUColumnName = enUUColumnName;
	}

	public String getUserUUColumnName() {
		return userUUColumnName;
	}

	public void setUserUUColumnName(String userUUColumnName) {
		this.userUUColumnName = userUUColumnName;
	}

	public String getStatusColumn() {
		return statusColumn;
	}

	public void setStatusColumn(String statusColumn) {
		this.statusColumn = statusColumn;
	}

	public String getStatusColumnName() {
		return statusColumnName;
	}
	
	/**
	 * @return getStatus
	 */
	public String getStatusMethod() {
		return "get" + StringUtils.capitalize(statusColumn);
	}
	
	/**
	 * @return setStatus
	 */
	public String getStatusSetMethod() {
		return "set" + StringUtils.capitalize(statusColumn);
	}

	public void setStatusColumnName(String statusColumnName) {
		this.statusColumnName = statusColumnName;
	}

	public StatusColumn getStatusAnnotation() {
		return statusAnnotation;
	}

	public void setStatusAnnotation(StatusColumn statusAnnotation) {
		this.statusAnnotation = statusAnnotation;
	}

}
