package com.uas.platform.core.model;

/**
 * 系统中单号编码规则
 * 
 * @author ChenHao
 * 
 */
public class EncodingRulesConstant {

	/**
	 * 批次号 BT + 8位时间戳 + 8位编码
	 */
	public static final String BATCH = "BT_TIMESTAP_NUMBER";

	/**
	 * 订单号 SS + 8位时间戳 + 8位编码
	 */
	public static final String ORDER = "SS_TIMESTAP_NUMBER";

	/**
	 * 订单明细号 SSD + 8位时间戳 + 9位编码
	 */
	public static final String ORDER_DETAIL = "SSD_TIMESTAP_NUMBER";

	/**
	 * 送样申请号 PP + 8位时间戳 + 8位编码
	 */
	public static final String PROOFING = "PP_TIMESTAP_NUMBER";

	/**
	 * 送样申请号 PP + 8位时间戳 + 9位编码
	 */
	public static final String PROOFING_DETAIL = "PPD_TIMESTAP_NUMBER";

	/**
	 * 采购单号 PO + 8位时间戳 + 8位编码
	 */
	public static final String PURCHASE = "PO_TIMESTAP_NUMBER";

	/**
	 * 采购单明细号 POD + 8位时间戳 + 9位编码
	 */
	public static final String PURCHASE_DETAIL = "POD_TIMESTAP_NUMBER";

	/**
	 * 转账单号 BK + 8位时间戳 + 8位编码
	 */
	public static final String BANKTRANSFER = "BK_TIMESTAP_NUMBER";

	/**
	 * 发货单号（转自订单的） SDFSS + 8位时间戳 + 8位编码
	 */
	public static final String INVOICE_FROMORDER = "SDFSS_TIMESTAP_NUMBER";

	/**
	 * 发货单明细号（转自订单的） SDDFSS + 8位时间戳 + 9位编码
	 */
	public static final String INVOICE_DETAIL_FROMORDER = "SDDFSS_TIMESTAP_NUMBER";

	/**
	 * 发货单号（转自采购单的） SDFPO + 8位时间戳 + 8位编码
	 */
	public static final String INVOICE_FROMPURCHASE = "SDFPO_TIMESTAP_NUMBER";

	/**
	 * 发货单明细号（转自采购单的） SDDFPO + 8位时间戳 + 9位编码
	 */
	public static final String INVOICE_DETAIL_FROMPURCHASE = "SDDFPO_TIMESTAP_NUMBER";

	/**
	 * 发货单号（转自换货单的） SDDFPO + 8位时间戳 + 8位编码
	 */
	public static final String INVOICE_FROMCHANGE = "SDFCH_TIMESTAP_NUMBER";

	/**
	 * 发货单明细号（转自换货单明细的） SDDFPO + 8位时间戳 + 9位编码
	 */
	public static final String INVOICE_DETAIL_FROMCHANGE = "SDDFCH_TIMESTAP_NUMBER";

	/**
	 * 入库单号 YS + 8位时间戳 + 8位编码
	 */
	public static final String RECEIPT_FROMPURCHASE = "YS_TIMESTAP_NUMBER";

	/**
	 * 入库单明细号 YSD + 8位时间戳 + 9位编码
	 */
	public static final String RECEIPT_DETAIL_FROMPURCHASE = "YSD_TIMESTAP_NUMBER";

	/**
	 * 退货单号(来着客户) RFC + 8位时间戳 + 8位编码
	 */
	public static final String RETURN_FROMCUST = "RFC_TIMESTAP_NUMBER";

	/**
	 * 退货明细单号(来着客户) RFCD + 8位时间戳 + 9位编码
	 */
	public static final String RETURN_DETAIL_FROMCUST = "RFCD_TIMESTAP_NUMBER";

	/**
	 * 退货单号(来着平台) RFB + 8位时间戳 + 8位编码
	 */
	public static final String RETURN_FROMB2C = "RFB_TIMESTAP_NUMBER";

	/**
	 * 退货细单号(来着平台) RFBD + 8位时间戳 + 9位编码
	 */
	public static final String RETURN_DETAIL_FROMB2C = "RFBD_TIMESTAP_NUMBER";

	/**
	 * 换货单号(来着客户) CFC + 8位时间戳 + 8位编码
	 */
	public static final String CHANGE_FROMCUST = "CFC_TIMESTAP_NUMBER";

	/**
	 * 换货单号(来着客户) CFCD + 8位时间戳 + 9位编码
	 */
	public static final String CHANGE_DETAIL_FROMCUST = "CFCD_TIMESTAP_NUMBER";

	/**
	 * 换货单号(来着平台) CFB + 8位时间戳 + 8位编码
	 */
	public static final String CHANGE_FROMB2C = "CFB_TIMESTAP_NUMBER";

	/**
	 * 换货单号(来着平台) CFBD + 8位时间戳 + 9位编码
	 */
	public static final String CHANGE_DETAIL_FROMB2C = "CFBD_TIMESTAP_NUMBER";

	/**
	 * 业务中间表 OIU + 8 位时间戳 + 8 位编码
	 */
	public static final String OPERATION_INFO_UAS = "OIU_TIMESTAP_NUMBER";

	/**
	 * 交易流水号 YS + 8位时间戳 + 8位编码
	 */
	public static final String YSEPAY = "YS_TIMESTAP_NUMBER";

	/**
	 * 爬虫任务表CCT + 8 位时间戳 + 8 位编码
	 */
	public static final String COMPONENT_CRAWL_TASK = "CCT_TIMESTAP_NUMBER";

	/**
	 * 器件批量申请单号CCS + 8 位时间戳 + 8 位编码
	 */
	public static final String COMPONENT_CRAWL_SUBMIT = "CCS_TIMESTAP_NUMBER";

	/**
	 * 订单异常申请单号 OAP + 8位时间戳 + 8位编码
	 */
	public static final String ORDER_EX_APPLY = "OAP_TIMESTAMP_NUMBER";

	/**
	 * 采购单异常申请单号 PAP + 8位时间戳 + 8位编码
	 */
	public static final String PURCHASE_EX_APPLY = "PAP_TIMESTAMP_NUMBER";

	/**
	 * 申请明细号 APD + 8位时间戳 + 9位编码
	 */
	public static final String APPLY_DETAIL = "APD_TIMESTAMP_NUMBER";

	/**
	 * 付款申请表 REP + 8 位时间戳 + 8 位编码
	 */
	public static final String REQUEST_PAYMENT = "REP_TIMESTAP_NUMBER";
	
	/**
	 *  退款表RE + 8 位时间戳 + 8 位编码
	 */
	public static final String REFUND = "RE_TIMESTAP_NUMBER";
	
	/**
	 *  退款明细RED + 8 位时间戳 + 9 位编码
	 */
	public static final String REFUND_DETAIL = "RED_TIMESTAP_NUMBER";
	
	/**
	 *  批量上架的批次号 + 8 位时间戳 + 8位编码
	 */
	public static final String RELP_BATCH = "RELP_TIMESTAP_NUMBER";


	/**
	 *  产品导入的编号 + 8 位时间戳 + 8位编码
	 */
	public static final String PRODUCT_IMPORT = "PROIM_TIMESTAP_NUMBER";


	/**
	 *  产品导入编号 + 8 位时间戳 + 8位编码
	 */
	public static final String PRODUCT_NUM = "PNUM_TIMESTAP_NUMBER";

	/**
	 * 用户导入标准上架信息的批次号 编号 + 8位时间戳 + 8位编码
	 */
	public static final String PRODUCTSTANDARDPUTONINFO_NUM = "PSPO_TIMESTAP_NUMBER";

}
