package com.uas.platform.core.model;

public enum ImportServiceCode {
	/**
	 * {@code 101 器件进口}
	 */
	download(101, "器件进口");


	/**
	 * <p>
	 * 101<i>器件进口</i>
	 * </p>
	 * 
	 * @param value
	 * @param phrase
	 */
	private ImportServiceCode(int value, String phrase) {
		this.value = value;
		this.phrase = phrase;
	}

	private final int value;

	private final String phrase;

	public int getValue() {
		return value;
	}

	public String getPhrase() {
		return phrase;
	}

	/**
	 * 
	 * @param statusCode
	 *            状态码<br>
	 * @return 状态
	 */
	public static ImportServiceCode valueOf(int statusCode) {
		for (ImportServiceCode status : values()) {
			if (status.value == statusCode) {
				return status;
			}
		}
		throw new IllegalArgumentException("没有与编号 [" + statusCode + "]匹配的业务动作");
	}

	/**
	 * 返回状态的编号
	 */
	@Override
	public String toString() {
		return Integer.toString(value);
	}
}
