package com.uas.platform.core.model;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "token")
public class Token {
	
	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "token_gen")
	@SequenceGenerator(name = "token_gen", sequenceName = "token_seq", allocationSize = 1)
	private Long id;

	private String type;

	private String name;

	private Date time;

	public Token() {
		this.time = new Date();
	}

	public Token(String type, String name) {
		this();
		this.type = type.toLowerCase();
		this.name = name;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	/**
	 * 24小时超时
	 * 
	 * @return
	 */
	public boolean isOutofTime() {
		return System.currentTimeMillis() - this.time.getTime() > 86400000;
	}

}
