package com.uas.platform.core.persistence;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.uas.platform.core.model.Status;

/**
 * 状态字段注解
 * 
 * @author yingp
 * 
 */
@Target({ java.lang.annotation.ElementType.METHOD, java.lang.annotation.ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
public @interface StatusColumn {

	public abstract Status[] allowDelete() default Status.INPUTTING;
	
	public abstract Status[] allowUpdate() default Status.INPUTTING;

	public abstract Status[] allowAudit() default { Status.INPUTTING, Status.SUBMITTED };

}
