package com.uas.platform.core.util;

import java.util.Vector;

/**
 * 简单消息队列
 * 
 * @author yingp
 *
 */
public abstract class Queue<T> {

	private Vector<T> queue = null;

	public Queue() {
		queue = new Vector<T>();
	}

	/**
	 * 发消息
	 * 
	 * @param msg
	 */
	public synchronized void send(T msg) {
		queue.addElement(msg);
	}

	/**
	 * 取消息
	 * 
	 * @return
	 */
	public synchronized T receive() {
		if (queue.size() == 0)
			return null;
		T msg = queue.firstElement();
		queue.removeElementAt(0);
		return msg;
	}

}
