/*CopyRright (c)2014: <www.usoftchina.com>
 */
package com.uas.platform.core.util.encry;

import org.springframework.security.authentication.encoding.Md5PasswordEncoder;

/**
 * <p>
 * 使用MD5算法.
 * </p>
 * 
 * @see Md5PasswordEncoder
 * @author yingp
 */
public class Md5Utils {

	private static Md5PasswordEncoder md5PasswordEncoder;

	static {
		md5PasswordEncoder = new Md5PasswordEncoder();
	}

	/**
	 * 将rawPass进行加密处理
	 * <p>
	 * 如果rawPass为空，将视作空字符串""
	 * </p>
	 * <p>
	 * 如果salt不为空，在加密前将会与rawPass合并加密，合并方式为rawPass{salt}
	 * </p>
	 * 
	 * @param rawPass
	 *            明文
	 * @param salt
	 *            盐值
	 * @return 十六进制的密文
	 */
	public static String encode(Object rawPass, Object salt) {
		String pass = rawPass == null ? null : String.valueOf(rawPass);
		salt = salt == null ? "" : salt.toString();
		return md5PasswordEncoder.encodePassword(pass, salt);
	}

}
