package com.uas.platform.core.web.bind;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Request里面参数标志<br>
 * 格式为_state={{}}
 * 
 * @see RequestMapping
 * @see RequestMethod
 * 
 * @author yingp
 * 
 */
public class RequestState {

	static final String paramName = "_state";

	/**
	 * 全部
	 */
	public static final String ALL = paramName + "=all";

	/**
	 * 已作废
	 */
	public static final String INVALID = paramName + "=invalid";

	/**
	 * 已处理
	 */
	public static final String DONE = paramName + "=done";

	/**
	 * 待处理
	 */
	public static final String TODO = paramName + "=todo";

	/**
	 * 已结案
	 */
	public static final String END = paramName + "=end";
	
	/**
	 * 已查看
	 */
	public static final String READ = paramName + "=read";
	
	/**
	 * 未查看
	 */
	public static final String UNREAD = paramName + "=unread";

	/**
	 * 已收货
	 */
	public static final String RECEIVED = paramName + "=received";

	/**
	 * 待发货
	 */
	public static final String WAITING = paramName + "=waiting";
	
	/**
	 * 置顶
	 */
	public static final String TOP = paramName + "=top";
	
	/**
	 * 更新
	 */
	public static final String UPDATE = paramName + "=update";

	/**
	 * 同意
	 */
	public static final String AGREED = paramName + "=agreed";

	/**
	 * 拒绝
	 */
	public static final String REFUSED = paramName + "=refused";

	/**
	 * 个人
	 */
	public static final String PERSONAL = paramName + "=personal";

	/**
	 * 集体
	 */
	public static final String TEAMS = paramName + "=teams";

	/**
	 * 标准
	 */
	public static final String STANDARD = paramName + "=standard";

	/**
	 * 非标准
	 */
	public static final String NONSTANDARD = paramName + "=nonstandard";
}
