package com.uas.platform.core.util;

import java.util.Random;
import java.util.UUID;

import org.apache.commons.lang3.StringUtils;

/**
 * 字符串工具方法
 * 
 * @author suntg
 * @date 2015年6月18日16:29:34
 * 
 */
public class StringUtil {

	final static char[] numbersAndLettersCharArray = { '0', '1', '2', '3', '4',
			'5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h',
			'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u',
			'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7',
			'8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K',
			'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X',
			'Y', 'Z' };

	/**
	 * 获取屏蔽字符串（深圳市优软**公司）
	 * 
	 * @param str
	 *            原字符串
	 * @param index
	 *            起点
	 * @param length
	 *            替换长度
	 * @return
	 */
	public static String getSheildString(String str, int index, int length) {
		int i = 0;
		String result = "";
		String s1 = "";
		String s2 = "";
		result = str.substring(0, 1);
		str = str.substring(1, str.length());
		if (index > 0)
			index--;
		if (str.length() < length) {
			while (i < str.length()) {
				result += "*";
				i++;
			}
			return result;
		}
		if (str.length() < index + length) {
			s1 = str.substring(0, str.length() - length);
			result += s1;
			while (i < length) {
				result += "*";
				i++;
			}
			return result;
		}
		s1 = str.substring(0, index);
		s2 = str.substring(index + length, str.length());
		result += s1;
		while (i < length) {
			result += "*";
			i++;
		}
		result += s2;
		return result;
	}

	/**
	 * 去掉字符串里面的非数字、字母、下划线字符
	 * 
	 * @param paramString
	 * @return
	 */
	public static String getWord(String paramString) {
		if (paramString != null)
			return paramString.replaceAll("[^\\w.-]", "");
		return null;
	}

	/**
	 * 产生给定长度的随机字符串
	 * 
	 * @param length
	 * @return
	 */
	public static String getRandomString(int length) {
		if (length < 1) {
			return null;
		}
		Random randGen = new Random();
		char[] randBuffer = new char[length];
		for (int i = 0; i < randBuffer.length; i++) {
			randBuffer[i] = numbersAndLettersCharArray[randGen.nextInt(71)];
		}
		return new String(randBuffer);
	}

	/**
	 * 如果{@code paramString}为空则返回{@code replaceString}
	 * 
	 * @param paramString
	 * @param replaceString
	 * @return
	 */
	public static String nvl(String paramString, String replaceString) {
		return StringUtils.isEmpty(paramString) ? replaceString : paramString;
	}

	/**
	 * 产生唯一字符串
	 * 
	 * @return
	 */
	public static String uuid() {
		return UUID.randomUUID().toString().replaceAll("\\-", "");
	}
	
	/**
	  * 创建时间 :2017年1月10日 下午5:17:30
	  * @author yujia
	  * @param repeatChar
	  * @param size
	  * @param sepChar
	  * @return
	  * @return String
	  * @throws
	  * @Description: 复制字符
	  * 
	  */
	public static String repeat(String repeatChar, int size, String sepChar) {
		StringBuffer repeated = new StringBuffer();
		for(int i=0;i<size;i++) {
			repeated.append(repeatChar);
			if(i != size - 1)
				repeated.append(sepChar);
		}
		return repeated.toString();
	}
	
}
